org.cybergarage.upnp.event

## Class Subscription

- java.lang.Object
- - org.cybergarage.upnp.event.Subscription

    public class Subscription
    extends Object

### Field Summary

Fields
`static String` `INFINITE_STRING`
`static int` `INFINITE_VALUE`
`static String` `SUBSCRIBE_METHOD`
`static String` `TIMEOUT_HEADER`
`static String` `UNSUBSCRIBE_METHOD`
`static String` `UUID`
`static String` `XMLNS`

### Constructor Summary

Constructors
Constructor and Description
`Subscription()`

### Method Summary

Methods
`static String` `createSID()`
`static String` `getSID(String headerValue)`
`static long` `getTimeout(String headerValue)`
`static String` `toSIDHeaderString(String id)`
`static String` `toTimeoutHeaderString(long time)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### XMLNS

    public static final String XMLNS

See Also:
  Constant Field Values

#### TIMEOUT_HEADER

    public static final String TIMEOUT_HEADER

See Also:
  Constant Field Values

#### INFINITE_STRING

    public static final String INFINITE_STRING

See Also:
  Constant Field Values

#### INFINITE_VALUE

    public static final int INFINITE_VALUE

See Also:
  Constant Field Values

#### UUID

    public static final String UUID

See Also:
  Constant Field Values

#### SUBSCRIBE_METHOD

    public static final String SUBSCRIBE_METHOD

See Also:
  Constant Field Values

#### UNSUBSCRIBE_METHOD

    public static final String UNSUBSCRIBE_METHOD

See Also:
  Constant Field Values

### Constructor Detail

#### Subscription

    public Subscription()

### Method Detail

#### toTimeoutHeaderString

    public static final String toTimeoutHeaderString(long time)

#### getTimeout

    public static final long getTimeout(String headerValue)

#### createSID

    public static final String createSID()

#### toSIDHeaderString

    public static final String toSIDHeaderString(String id)

#### getSID

    public static final String getSID(String headerValue)